Package net.shibboleth.idp.attribute

# Class AttributesMapContainer

java.lang.Object
net.shibboleth.idp.attribute.AttributesMapContainer

All Implemented Interfaces:
  `Supplier<Multimap<String,IdPAttribute>>`

public final class AttributesMapContainer extends Object implements Supplier<Multimap<String,IdPAttribute>>
Container for decoded attributes. This gives us a distinguished class to look for in the `XMLObject.getObjectMetadata()`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Multimap<String,IdPAttribute>`
`providedValue`
The map we are encapsulating.

## Constructor Summary

Constructors
Constructor
Description
`AttributesMapContainer(Multimap<String,IdPAttribute> value)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Multimap<String,IdPAttribute>`
`get()`
`Collection<String>`
`getStringValues(String id)`
Shorthand method that returns a collapsed copy of the String values of a given IdPAttribute in the container, or an empty collection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### providedValue

@Nonnull private final Multimap<String,IdPAttribute> providedValue
The map we are encapsulating.

## Constructor Details

### AttributesMapContainer

public AttributesMapContainer(@Nonnull Multimap<String,IdPAttribute> value)
Constructor.

Parameters:
  `value` - the value to return.

## Method Details

### get

@Nonnull public Multimap<String,IdPAttribute> get()

Specified by:
  `get` in interface `Supplier<Multimap<String,IdPAttribute>>`

### getStringValues

@Nonnull @NotLive @Unmodifiable public Collection<String> getStringValues(@Nonnull @NotEmpty String id)
Shorthand method that returns a collapsed copy of the String values of a given IdPAttribute in the container, or an empty collection.

Parameters:
  `id` - attribute ID
Returns:
  unmodifiable collection of string values